From 13a3dce6a1df3f835c688bd09634c19adbd9c558 Mon Sep 17 00:00:00 2001
From: Takayuki Tsunakawa <tsunakawa.takay@fujitsu.com>
Date: Thu, 14 Jan 2021 17:33:55 +0900
Subject: [PATCH] Fix size calculation for shmem TOC

---
 src/backend/storage/ipc/shm_toc.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/storage/ipc/shm_toc.c b/src/backend/storage/ipc/shm_toc.c
index bdd72c4..2d865fa 100644
--- a/src/backend/storage/ipc/shm_toc.c
+++ b/src/backend/storage/ipc/shm_toc.c
@@ -265,8 +265,8 @@ shm_toc_estimate(shm_toc_estimator *e)
 	Size		sz;
 
 	sz = offsetof(shm_toc, toc_entry);
-	sz += add_size(sz, mul_size(e->number_of_keys, sizeof(shm_toc_entry)));
-	sz += add_size(sz, e->space_for_chunks);
+	sz = add_size(sz, mul_size(e->number_of_keys, sizeof(shm_toc_entry)));
+	sz = add_size(sz, e->space_for_chunks);
 
 	return BUFFERALIGN(sz);
 }
-- 
2.10.1

